## org.biojava.bridge.GNOME
Class UnknownImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl

Direct Known Subclasses:
  AnonymousSeqImpl, PrimarySeqDBImpl, PrimarySeqIteratorImpl, SeqFeatureImpl, SeqFeatureIteratorImpl

public class UnknownImpl
extends java.lang.Object
implements _Unknown_Operations

Constructor Summary
`UnknownImpl()`

Method Summary
`org.omg.CORBA.Object` `query_interface(org.omg.CORBA.portable.ObjectImpl unknown, java.lang.String repoid)`
`void` `ref(org.omg.CORBA.portable.ObjectImpl unknown)`
`void` `unref(org.omg.CORBA.portable.ObjectImpl unknown)` I think that this should release the object from the server when no clients are referencing it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownImpl

    public UnknownImpl()

Method Detail

### ref

    public void ref(org.omg.CORBA.portable.ObjectImpl unknown)

  Specified by:
    ref in interface _Unknown_Operations

### unref

    public void unref(org.omg.CORBA.portable.ObjectImpl unknown)

  I think that this should release the object from the server when no clients are referencing it.
  Specified by:
    unref in interface _Unknown_Operations

### query_interface

    public org.omg.CORBA.Object query_interface(org.omg.CORBA.portable.ObjectImpl unknown,
                                                java.lang.String repoid)

  Specified by:
    query_interface in interface _Unknown_Operations